swagger: '2.0'
info:
  description: |
    Esta é uma descrição do sistema de controle de bicicletario 
    [http://swagger.io](http://swagger.io) or on 
    [irc.freenode.net, #swagger](http://swagger.io/irc/).
  version: 1.0.0
  title: Sistema de Controle de Bicicletario
  termsOfService: http://swagger.io/terms/
  contact:
    email: suporte@sistemadebicicletario.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html

tags:
- name: Ciclista
  description: Microsservico que lida com o crud de ciclistas.
- name: AluguelBicicletas
  description: Microsservico que lida com o aluguel e devolucao de bicicletas pelos cicilistas.
- name: Equipamento
  description: Microsservico que lida com o crud de bicicletas, trancas e totem.
- name: Funcionario
  description: Microsservico que lida com o crud de funcionarios. 

paths:
  /healthcheck:
    get:
      tags:
      - Ciclista
      summary: serviço saudável
      description: rota utilizada para garantir que o serviço de ciclita está saudável
      consumes:
      - application/json
      produces:
      - application/json
      responses:
        200:
          description: serviço saudável
        500:
          description: serviço está fora do ar